#!/usr/bin/env bash

QUESTID=$1
NOTIFY_LENGTH=5000 #milliseconds
AUDIO="audio/globalquest.ogg"

# Send via libnotify if available
if [ -x `which notify-send` ]
then
    notify-send -a "Termighty" "Global Quest" "Global quest #${QUESTID} starting soon." --icon=applications-games --expire-time=$NOTIFY_LENGTH
fi

# Play a sound if available
if [ -x `which ogg123` ]
then
    ogg123 -q $AUDIO &
fi
