#!/usr/bin/env bash

QUESTID=$1
NOTIFY_LENGTH=5000 #milliseconds
AUDIO="audio/globalqueststart.ogg"

# Send via libnotify if available
if [ -x `which notify-send` ]
then
    notify-send "Global Quest Started!" "Your global quest #${QUESTID} has started." --icon=go-jump --expire-time=$NOTIFY_LENGTH
fi

# Play a sound if available
if [ -x `which ogg123` ]
then
    ogg123 -q $AUDIO &
fi
