#!/usr/bin/env bash

DURATION=$1
NOTIFY_LENGTH=5000 #milliseconds
AUDIO="audio/questtime.ogg"

# Send via libnotify if available
if [ -x `which notify-send` ]
then
    notify-send "Quest Timing Out!" "You are almost out of time on your quest!" --icon=dialog-warning --expire-time=$NOTIFY_LENGTH
fi

# Play a sound if available
if [ -x `which ogg123` ]
then
    ogg123 -q $AUDIO &
fi
