#!/usr/bin/env bash

NOTIFY_LENGTH=5000 #milliseconds
AUDIO="audio/dailyblessing.ogg"

# Send via libnotify if available
if [ -x `which notify-send` ]
then
    notify-send -a "Termighty" "Daily Blessing" "Your daily blessing is ready." --icon=weather-clear --expire-time=$NOTIFY_LENGTH
fi

# Play a sound if available
if [ -x `which ogg123` ]
then
    ogg123 -q $AUDIO &
fi
