#!/usr/bin/env bash

DURATION=$1
NOTIFY_LENGTH=5000 #milliseconds
AUDIO="audio/double.ogg"

# Send via libnotify if available
if [ -x `which notify-send` ]
then
    notify-send -a "Termighty" "Double" "Double is running for ${DURATION} min" --icon=face-smile-big --expire-time=$NOTIFY_LENGTH
fi

# Play a sound if available
if [ -x `which ogg123` ]
then
    ogg123 -q $AUDIO &
fi
