#!/usr/bin/env bash

SENDER=$1
NOTIFY_LENGTH=5000 #milliseconds
AUDIO="audio/tell.ogg"

# Send via libnotify if available
if [ -x `which notify-send` ]
then
    notify-send -a "Termighty" "Tell" "Tell received from ${SENDER}." --icon=mail-message-new --expire-time=$NOTIFY_LENGTH
fi

# Play a sound if available
if [ -x `which ogg123` ]
then
    ogg123 -q $AUDIO &
fi
